Hypercell ein ] Hypercell aus ] Zeige Navigation ] Verstecke Navigation ]
c++.net  
   

Die mobilen Seiten von c++.net:
https://m.c-plusplus.net

  
C++ Forum :: Compiler- und IDE-Forum ::  Clang 5.0 unter Debian Stretch installieren     Zeige alle Beiträge auf einer Seite Auf Beitrag antworten
Autor Nachricht
clang5
Unregistrierter




Beitrag clang5 Unregistrierter 19:23:12 13.07.2017   Titel:   Clang 5.0 unter Debian Stretch installieren            Zitieren

Hi, ich kennt sich hier zufällig jemand aus wie man clang 5.0 unter debian installiert?

Habe es mit dieser Anleitung nicht hinbekommen:

http://apt.llvm.org/

E: Paket clang-5.0 kann nicht gefunden werden.
E: Mittels des Musters »clang-5.0« konnte kein Paket gefunden werden.
C++ Forumbot
Forumbot

Benutzerprofil
Anmeldungsdatum: 29.02.2004
Beiträge: 19965
Beitrag C++ Forumbot Forumbot 19:40:58 13.07.2017   Titel:              Zitieren

Dieser Thread wurde von Moderator/in SeppJ aus dem Forum Linux/Unix in das Forum Compiler- und IDE-Forum verschoben.

Im Zweifelsfall bitte auch folgende Hinweise beachten:
C/C++ Forum :: FAQ - Sonstiges :: Wohin mit meiner Frage?


Dieses Posting wurde automatisch erzeugt.

_________________
Besuchen Sie unsere Bücherecke.
http://www.c-plusplus.de/bucher.php
Mit jeder Bestellung unterstützen Sie das Forum.
Gast3
Unregistrierter




Beitrag Gast3 Unregistrierter 15:46:59 14.07.2017   Titel:              Zitieren

sieht nicht so aus als wenn es da ein clang-5 package geben würde

hat es mit dem GCC 7.1 geklappt?
camper
Moderator

Benutzerprofil
Anmeldungsdatum: 06.08.2004
Beiträge: 7164
Beitrag camper Moderator 17:09:17 14.07.2017   Titel:              Zitieren

Die aktelle clang-Version ist 4.0.1.
clang 5.0 bezeichnet daher gegenwärtig kein bestimmtes Release sondern ein Build dessen Quellen direkt vom SVN-Repository stammen - eine vollständige Id müsste folglich noch die letzte commit-Id oder etwas Äquivalentes wie z.B. ein Snapshotdatum - bezeichnen.
clang5
Unregistrierter




Beitrag clang5 Unregistrierter 15:13:37 17.07.2017   Titel:              Zitieren

Brauche 5.0 da die Schnarchnasen im C++ Kommitee es mal wieder verbockt haben die wichtigsten Features aus C++17 umzusetzen. Jetzt gehen nochmal drei Jahre verloren. C++ ist leider wirklich am Ende. Lauter Fehlentscheidungen die letzten 10 Jahre. Ein Trauerspiel... Ich würde mir ja ein C# so hardwarenah wie C++ für all Platformen wünschen. Dann könnte C++ das die letzten Jahre nur noch mit unnützen Features kaputtgefrickelt wurde endlich sterben... Wen es interessiert. Ich habe es es mit der folgenden Anleitung hinbekommen clang5 vom svn zu installieren. Komischerweise habe ich aber keinen "clang++-5.0" driver. Nur eine "clang-5.0". Von der "build-in" clang Version 3.8 in Debian Stretch gibt es auch eine clang++-3.8. Jemand eine idee woran das liegt?

C++:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
https://clang.llvm.org/get_started.html
 
[quote]$ svn co http://llvm.org/svn/llvm-project/llvm/trunk llvm
$ cd llvm/tools
$ svn co http://llvm.org/svn/llvm-project/cfe/trunk clang
$ cd clang/tools
$ svn co http://llvm.org/svn/llvm-project/clang-tools-extra/trunk extra
$ cd ../../../projects
$ svn co http://llvm.org/svn/llvm-project/compiler-rt/trunk compiler-rt
$ cd ../..
 
$ mkdir llvm.build
$ cd llvm.build
$ cmake -G "Unix Makefiles" \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr/local ../llvm
$ make -j 4
$ sudo make install
camper
Moderator

Benutzerprofil
Anmeldungsdatum: 06.08.2004
Beiträge: 7164
Beitrag camper Moderator 15:42:08 17.07.2017   Titel:              Zitieren

Symlink?
C++ Forum :: Compiler- und IDE-Forum ::  Clang 5.0 unter Debian Stretch installieren   Auf Beitrag antworten

Zeige alle Beiträge auf einer Seite




Nächstes Thema anzeigen
Vorheriges Thema anzeigen
Sie können Beiträge in dieses Forum schreiben.
Sie können auf Beiträge in diesem Forum antworten.
Sie können Ihre Beiträge in diesem Forum nicht bearbeiten.
Sie können Ihre Beiträge in diesem Forum nicht löschen.
Sie können an Umfragen in diesem Forum nicht mitmachen.

Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme

c++.net ist Teilnehmer des Partnerprogramms von Amazon Europe S.à.r.l. und Partner des Werbeprogramms, das zur Bereitstellung eines Mediums für Websites konzipiert wurde, mittels dessen durch die Platzierung von Werbeanzeigen und Links zu amazon.de Werbekostenerstattung verdient werden kann.

Die Vervielfältigung der auf den Seiten www.c-plusplus.de, www.c-plusplus.info und www.c-plusplus.net enthaltenen Informationen ohne eine schriftliche Genehmigung des Seitenbetreibers ist untersagt (vgl. §4 Urheberrechtsgesetz). Die Nutzung und Änderung der vorgestellten Strukturen und Verfahren in privaten und kommerziellen Softwareanwendungen ist ausdrücklich erlaubt, soweit keine Rechte Dritter verletzt werden. Der Seitenbetreiber übernimmt keine Gewähr für die Funktion einzelner Beiträge oder Programmfragmente, insbesondere übernimmt er keine Haftung für eventuelle aus dem Gebrauch entstehenden Folgeschäden.